#version 430 core

in vec2 uv;

out vec4 color;

uniform sampler2D texture1;
uniform sampler2D texture2;

uniform float factor = 0.2;

void main() {
	//vec4 result = mix(texture(texture1, uv), (texture(texture2, uv), factor);
	vec4 original = texture(texture1, uv);
	vec4 bloom = texture(texture2, uv);
	color = original + bloom;
}
