#version 430 core

in vec2 uv;

out vec4 color;

uniform sampler2D screenTexture;

void main() {
	vec4 result = texture(screenTexture, uv);
	if (result.r > 0.7 || result.g > 0.7 || result.b > 0.7) {
		color = result;
	} else {
		color = vec4(0, 0, 0, 1);
	}
}
